org.apache.lucene.index

## Class MismatchedDirectoryReader

- java.lang.Object
- - org.apache.lucene.index.IndexReader
  - - org.apache.lucene.index.CompositeReader
    - - org.apache.lucene.index.BaseCompositeReader<LeafReader>
      - - org.apache.lucene.index.DirectoryReader
        - - org.apache.lucene.index.FilterDirectoryReader
          - - org.apache.lucene.index.MismatchedDirectoryReader

- All Implemented Interfaces:
    Closeable, AutoCloseable

      public class MismatchedDirectoryReader
      extends FilterDirectoryReader

  A `DirectoryReader` that wraps all its subreaders with `MismatchedLeafReader`

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.lucene.index.FilterDirectoryReader

      `FilterDirectoryReader.SubReaderWrapper`

    - ### Nested classes/interfaces inherited from class org.apache.lucene.index.IndexReader

      `IndexReader.CacheHelper, IndexReader.CacheKey, IndexReader.ClosedListener`

  - ### Field Summary

    - ### Fields inherited from class org.apache.lucene.index.FilterDirectoryReader

      `in`

    - ### Fields inherited from class org.apache.lucene.index.DirectoryReader

      `directory`

    - ### Fields inherited from class org.apache.lucene.index.BaseCompositeReader

      `subReadersSorter`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MismatchedDirectoryReader(DirectoryReader in, Random random)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected DirectoryReader` | `doWrapDirectoryReader(DirectoryReader in)`
    `IndexReader.CacheHelper` | `getReaderCacheHelper()`

    - ### Methods inherited from class org.apache.lucene.index.FilterDirectoryReader

      `doClose, doOpenIfChanged, doOpenIfChanged, doOpenIfChanged, getDelegate, getIndexCommit, getVersion, isCurrent, unwrap`

    - ### Methods inherited from class org.apache.lucene.index.DirectoryReader

      `directory, indexExists, listCommits, open, open, open, open, open, open, openIfChanged, openIfChanged, openIfChanged, openIfChanged`

    - ### Methods inherited from class org.apache.lucene.index.BaseCompositeReader

      `docFreq, document, getDocCount, getSequentialSubReaders, getSumDocFreq, getSumTotalTermFreq, getTermVectors, maxDoc, numDocs, readerBase, readerIndex, totalTermFreq`

    - ### Methods inherited from class org.apache.lucene.index.CompositeReader

      `getContext, toString`

    - ### Methods inherited from class org.apache.lucene.index.IndexReader

      `close, decRef, document, document, ensureOpen, equals, getRefCount, getTermVector, hasDeletions, hashCode, incRef, leaves, numDeletedDocs, registerParentReader, tryIncRef`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### MismatchedDirectoryReader

          public MismatchedDirectoryReader(DirectoryReader in,
                                           Random random)
                                    throws IOException

      Throws:
        `IOException`

  - ### Method Detail

    - #### doWrapDirectoryReader

          protected DirectoryReader doWrapDirectoryReader(DirectoryReader in)
                                                   throws IOException

      Specified by:
        `doWrapDirectoryReader` in class `FilterDirectoryReader`
      Throws:
        `IOException`

    - #### getReaderCacheHelper

          public IndexReader.CacheHelper getReaderCacheHelper()

      Specified by:
        `getReaderCacheHelper` in class `IndexReader`

Copyright © 2000-2024 Apache Software Foundation. All Rights Reserved.